"""
The MIT License (MIT)

Copyright (c) 2015 Zachary Seguin

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
"""

from manager import Manager
import os
import urllib

manager = Manager()

@manager.command
def home():
   "Open the homepage."

   open('https://zacharyseguin.ca/dashboard/')

@manager.arg('url', help='The url to open in Safari')
@manager.command
def open(url):
   "Open a url in Safari."

   if not url.startswith('http://') and not url.startswith('https://'):
      url = 'http://{url}'.format(url=url)

   os.system('open -a safari "{uri}"'.format(uri=url))

@manager.arg('query', help='The query to search on DuckDuckGo')
@manager.command()
def search(query):
   "Execute a web search for the given query."

   args = urllib.urlencode({ 'q': query })
   os.system('open -a safari "https://duckduckgo.com/?{args}"'.format(args=args))

